rhel init script fails to start up foreman
Pull request:    

Description

When starting foreman with "service foreman start" the init script provided by the rpm states okay. Checking the status woth "service

foreman status" says stopped and "netstat -tulpen |grep 3000" shows no process on port 3000. After playing around a little, I

dscovered that changing to the ${FOREMAN_HOME} directory and the calling the server solves the issue for me. Can you confirm

that issue?

As an attachment you'll find a (not very elegant) patch that solves the issue for me.

Regards

Henning

History

#1 - 03/15/2011 04:03 AM - Ohad Levy

I wonder if the reason for this problem relate to the fact you execute another ruby?

does it still work if you dont call /usr/bin/ruby directly?

many people install other versions of ruby, where this patch will not work :-\

#2 - 03/30/2011 08:22 PM - Julien R.

Got the same symptoms on Centos 5.5, foreman was installed from yum 0.1.6-2 and worked fine.

With 0.2 foreman failed to start, I had to run :

rake gems:install

rake db:migrate RAILS_ENV=production

to get it back

#3 - 05/04/2011 08:02 AM - Ohad Levy

- Status changed from New to Need more information

I cant reproduce this problem, however it seems to be that foreman didnt start because it was missing a gem/package rather then a real problem with

the init script.

can you reproduce this problem if you remove your patch?

#4 - 07/05/2012 04:50 AM - Ohad Levy

- Status changed from Need more information to Closed

not reproducible in 1.0

Files

foreman.patch 526 Bytes 11/19/2010 Henning Henkel
